<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Plugin_Name
 * @subpackage Plugin_Name/admin/partials
 */


?>
<div class="wrap">
	<h1>Instructions</h1>


    <h2 class="nav-tab-wrapper dsEventListNav">
      <span class="nav-tab nav-tab-active" id="eventCalendar" href="#eventCalendar">Shortcut Builder</span>
      <span class="nav-tab" id="eventDate" href="#eventDate">Event Date List</span>
      <span class="nav-tab" id="fullCalendar" href="#fullCalendar">Calendar</span>
      <span class="nav-tab" id="tableList" href="#tableList">Table</span>
      <span class="nav-tab" id="datesList" href="#datesList">Dates List</span>
	  <span class="nav-tab" id="eventInfo">Event Info</span>
	  <span class="nav-tab" id="regPage">Registration Page</span>
	  <span class="nav-tab" id="ddBox">Drop Down Box</span>
	  <span class="nav-tab" id="thankYouPage">Thank You Page</span>
	  
    </h2>
    <div class="dsTabContainer eventCalendar">
    	<h2>Using the DynamicSync Shortcut Builder</h2>

    	
		<ul class="dsBullets">
			<li>Open the Page on your WordPress Admin Site that you would like your events shown.</li>
			<li>Below the Editor, you will see the DynamicSync Shortcode Builder<br/>
			<img src="<?php echo $path = plugins_url( '/../' , __FILE__ ) ?>images/ds-shortcode-builder.png" class="dsShortcodeBuilderImage">
			</li>
 			<li>Select your Event ID, Registration Form URL and optionally the Event Full URL from the dropdown menus by selecting the “+” sign next to each<br/>
 				<img src="<?php echo $path = plugins_url( '/../' , __FILE__ ) ?>images/ds-shortcode-builder-select.png" class="dsShortcodeBuilderImage">
 			</li>
 			<li>Select the style in which you want your calendar shown by clicking the options:

				<ul>
					<li>Events Date List</li>
					<li>Side Bar</li>
					<li>Table</li>
					<li>Calendar</li>
				</ul>
				An example of each selection will be shown<br/>
				<img src="<?php echo $path = plugins_url( '/../' , __FILE__ ) ?>images/ds-shortcode-builder-selected2.png" class="dsShortcodeBuilderImage">
			</li>
			<li>Copy the shortcode below and paste it into your page<br/>
			<img src="<?php echo $path = plugins_url( '/../' , __FILE__ ) ?>images/ds-shortcode-builder-paste.png" class="dsShortcodeBuilderImage">
			</li>
			<li>You can customize further by adding shortcodes for:
				<ul>
					<li>Events Info Field – allows for customization of what information to show about the event</li>
					<li>Date Selection – i.e dropdown menu or as calendar</li>
					<li>Insert a Map</li>
					<li>Registration – This shortcode is for the Registration Page. It allows for a hidden field that pulls through the EventID for the event selected by an attendee<br/>
					<img src="<?php echo $path = plugins_url( '/../' , __FILE__ ) ?>images/ds-shortcode-builder-menu.png" class="dsShortcodeBuilderSmallImage">
					</li>
        		</ul>
        	</li>
        </ul>
        <iframe src="//fast.wistia.net/embed/iframe/lj2esbkbaq" allowtransparency="true" frameborder="0" scrolling="no" class="wistia_embed" name="wistia_embed" allowfullscreen mozallowfullscreen webkitallowfullscreen oallowfullscreen msallowfullscreen width="640" height="360"></iframe>
    </div>
    <div class="dsTabContainer eventDate">
    	<h2>Usage Instructions:</h2>
			<br><strong>Please Note:</strong><br>If you require an <strong>event Id</strong>, you can get the <strong>event Id</strong> of a specific event by logging into the <a href="http://app.dynamicsync.com/" target="_blank">DynamicSync App</a>. The <strong>event Id</strong> is clearly displayed with each event. 
			<h3>Pre-Built Layout 1: Upcoming Dates List</h3>
			<iframe src="//fast.wistia.net/embed/iframe/t77fkex9wc" allowtransparency="true" frameborder="0" scrolling="no" class="wistia_embed" name="wistia_embed" allowfullscreen mozallowfullscreen webkitallowfullscreen oallowfullscreen msallowfullscreen width="640" height="360"></iframe>										
			<p>Shortcode to display the event calendar: <span style="font-family: \'courier new\', monospace;">[dynamicsync_event_calendar]</span></p>
			<h4>Available Options:</h4>
			<p style="margin-top:-10px;">
				<span style="font-family: \'courier new\', monospace;">eventId</span> - The DynamicSync event IDs (separated by commas) of the events you want to show. E.g. eventId="5281e712d66e98699d8d,53215e12d66e98699d8f". All events will be shown if left blank.<br>
				<span style="font-family: \'courier new\', monospace;">dateDescription</span> - Set to 1 to show the event date description with each date individually. This is useful when different event dates have different topics.<br>
				<span style="font-family: \'courier new\', monospace;">registerFormUrl</span> - Override the default register form URL. Useful when diffirent registration forms are required.<br>
			</p>
			<h4>Display Event Image:</h4>
			To display an image with each event on the event calendar, put the URL of the image into the <strong>User 1</strong> field in the DynamicSync App. See instruction videos for more detail instructions.
    </div>
    <div class="dsTabContainer fullCalendar">
    	<h3>Pre-buit Layout 2: Full Calendar</h3>
			<iframe src="//fast.wistia.net/embed/iframe/pal9b3mwvv" allowtransparency="true" frameborder="0" scrolling="no" class="wistia_embed" name="wistia_embed" allowfullscreen mozallowfullscreen webkitallowfullscreen oallowfullscreen msallowfullscreen width="640" height="360"></iframe>
			<p>Shortcode to display the full event calendar: <span style="font-family: \'courier new\', monospace;">[dynamicsync_event_calendar view="full_calendar"]</span></p>
			<h4>Available Options:</h4>
			<p style="margin-top:-10px;">
				<span style="font-family: \'courier new\', monospace;">lowWarningThreshold</span> - When this is set a warning will be displayed when the threshold for number of places available is reached. E.g. set to 5 to display the warning when only 5 places are left.<br>
				<span style="font-family: \'courier new\', monospace;">showSoldOut</span> - Set to 0 to disable the \'Sold Out\' sign over the event once the attendee limit has been reached. Default is 1.<br>
				<span style="font-family: \'courier new\', monospace;">soldOutImageUrl</span> - The URL of the image to use as the \'Sold Out\' images. Leave this out to display the default image.<br>
				<span style="font-family: \'courier new\', monospace;">eventId</span> - The DynamicSync event IDs (separated by commas) of the events you want to show. E.g. eventId="5281e712d66e98699d8d,53215e12d66e98699d8f". All events will be shown if left blank.<br>
			</p>
    </div>
    <div class="dsTabContainer datesList">
    	<h3>Pre-built Layout 4: Events Dates List</h3>
			<img src="<?php echo $path = plugins_url( '/../' , __FILE__ ) ?>images/EventSidebar.png">
			<p>Shortcode to display the events list: <span style="font-family: \'courier new\', monospace;">[dynamicsync_event_calendar view="dates_list"]</span></p>
			<h4>Available Options:</h4>
			<p style="margin-top:-10px;">
				<span style="font-family: \'courier new\', monospace;">eventId</span> - The DynamicSync event IDs (separated by commas) of the events you want to show. E.g. eventId="5281e712d66e98699d8d,53215e12d66e98699d8f". All events will be shown if left blank.<br>
				<span style="font-family: \'courier new\', monospace;">registerFormUrl</span> - Override the default register form URL. Useful when diffirent registration forms are required.<br>
			</p>
    </div>
    <div class="dsTabContainer tableList">
    	<h3>Pre-built Layout 3: Events Table</h3>
			<img src="<?php echo $path = plugins_url( '/../' , __FILE__ ) ?>images/EventList.png">
			<p>Shortcode to display the events table: <span style="font-family: \'courier new\', monospace;">[dynamicsync_event_calendar view="table"]</span></p>
			<h4>Available Options:</h4>
			<p style="margin-top:-10px;">
				<span style="font-family: \'courier new\', monospace;">eventId</span> - The DynamicSync event IDs (separated by commas) of the events you want to show. E.g. eventId="5281e712d66e98699d8d,53215e12d66e98699d8f". All events will be shown if left blank.<br>
				<span style="font-family: \'courier new\', monospace;">registerFormUrl</span> - Override the default register form URL. Useful when diffirent registration forms are required.<br>
			</p>
    </div>
	<div class="dsTabContainer eventInfo">
    	<h3>Create Your Own Layout</h3>
		<iframe src="//fast.wistia.net/embed/iframe/whpgs08wms" allowtransparency="true" frameborder="0" scrolling="no" class="wistia_embed" name="wistia_embed" allowfullscreen="allowfullscreen" mozallowfullscreen="mozallowfullscreen" webkitallowfullscreen="webkitallowfullscreen" oallowfullscreen="oallowfullscreen" msallowfullscreen="msallowfullscreen" width="640" height="360"></iframe>
		<p>Shortcode to display the event info: <span style="font-family: 'courier new', monospace;">[dynamicsync_event_info eventId="{insert event id}" field="{insert required field}"]</span><br>
			e.g. <span style="font-family: 'courier new', monospace;">[dynamicsync_event_info eventId="5281e712d66e98699d8d" field="title"]</span><br></p>
		<p><strong>IMPORTANT:</strong> When you copy/paste the Event ID from DynamicSync, please ensure that you are in text editor of your page before you paste in the event id.</p>
		<h4>Options:</h4>
		<p style="margin-top:-10px;">
			<span style="font-family: 'courier new', monospace;">eventId</span> - The DynamicSync event IDs (separated by commas) of the events you want to retrieve from DynamicSync. E.g. eventId="5281e712d66e98699d8d,53215e12d66e98699d8f". Events will be retrieved in date order and you can select the specific date by specifying eventSeqNo. If left blank all confirmed events will be retrieved.<br>
			<span style="font-family: 'courier new', monospace;">urlEventId</span> - In stead of specifying the event, you can use this option to pull the Event Id from the URL. E.g. [dynamicsync_event_info urlEventId field="title"]<br>
			<span style="font-family: 'courier new', monospace;">urlEventDateId</span> - In stead of specifying the event, you can use this option to pull the Event Id from the URL. E.g. [dynamicsync_event_info urlEventDateId field="title"]<br>
			<span style="font-family: 'courier new', monospace;">eventSeqNo</span> - Selects future event dates. By default the first scheduled event date info is retuned. Specify a value e.g. 1, 2, 3 to return future event dates.<br>
			<span style="font-family: 'courier new', monospace;">dateFormat</span> - Returns dates in the specified format. This uses the PHP date function to format the date. Details can be found <a href="http://php.net/manual/en/function.date.php" target="_blank">here</a>.<br>
			<span style="font-family: 'courier new', monospace;">prepend</span> - Adds the given text before the returned data. If the event does not exist, prepended text will also not be returned.<br>
			<span style="font-family: 'courier new', monospace;">append</span> - Adds the given text after the returned data. If the event does not exist, appended text will also not be returned.<br>
			<span style="font-family: 'courier new', monospace;">noEventsText</span> - The text you would like to display when no further events are scheduled. Defaults to an empty string.<br>
			<span style="font-family: 'courier new', monospace;">conditionalOutput</span> - Allows user specified text to be displayed when an event is present and when not. This is useful when you want to hide sections if no events are present E.g. &lt;div style=\"display: [dynamicsync_event_info eventId='52a00e13d554a6219251' conditionaloutput trueoutput='inline' falseoutput='none'];\"&gt;<br>
			<span style="font-family: 'courier new', monospace;">filter</span> - Allows the selection of events based on a filter. E.g. filter="venue_address=Sydney" will return events with the word 'Sydney' in the venue address field.<br>
						
		</p>
		<h4>Available Fields:</h4>
		<p style="margin-top:-10px;">
			<span style="font-family: 'courier new', monospace;">title</span><br>
			<span style="font-family: 'courier new', monospace;">description</span><br>
			<span style="font-family: 'courier new', monospace;">start_date</span> - Use additional option <b><i>dateFormat</i></b> to change default date and time format e.g. dateFormat="j F Y". <a href="http://php.net/manual/en/function.date.php" target="_blank">Click here</a> for more details on formatting dates and times.<br>
			<span style="font-family: 'courier new', monospace;">end_date</span> - Use additional option <b><i>timezone</i></b> to adjust default timezone e.g. <br>
			<span style="font-family: 'courier new', monospace;">start_time</span><br>
			<span style="font-family: 'courier new', monospace;">end_time</span><br>
			<span style="font-family: 'courier new', monospace;">timezone</span><br>
			<span style="font-family: 'courier new', monospace;">pretty_time</span> - Display Time<br>
			<span style="font-family: 'courier new', monospace;">statusLabel</span> - Current status of the event e.g. Tentative, Confirmed, Completed or Processed<br>
			<span style="font-family: 'courier new', monospace;">venue_name</span><br>
			<span style="font-family: 'courier new', monospace;">venue_address</span><br>
			<span style="font-family: 'courier new', monospace;">contact_person</span><br>
			<span style="font-family: 'courier new', monospace;">contact_number</span><br>
			<span style="font-family: 'courier new', monospace;">price</span><br>
			<span style="font-family: 'courier new', monospace;">user1</span> - Use this field to display event image<br>
			<span style="font-family: 'courier new', monospace;">user2</span><br>
			<span style="font-family: 'courier new', monospace;">event_date_id</span> - The Event Date ID. This is useful to create Register links for each event date that include the event date id in the URL.<br>
		</p>
		<h4>Limited Attendees:</h4>
		<p style="margin-top:-10px;">
			<span style="font-family: 'courier new', monospace;">attendee_limit</span> - Inserts the number of attendees allowed at the event<br>
			<span style="font-family: 'courier new', monospace;">num_registered_attendees</span> - Inserts the number attendees already registered for the event<br>
			<span style="font-family: 'courier new', monospace;">num_remaining_attendees</span> - Inserts the number of attendees spaces still available<br>
			<span style="font-family: 'courier new', monospace;">attendee_limit</span> - Inserts the number of attendees allowed at the event<br><br>
			<b>Example to display text based on the number of spaces still available</b><br>			
			<span style="font-family: 'courier new', monospace;">[dynamicsync_event_info eventDateId="54f573fa7ef3481619d7" field="conditionalOutputAttendeesRemaining" attendeesremaining="5" trueoutput="Only 5 spots left" falseoutput="Still plenty of spots left"]</span><br>
			<b>Example to change styling based on spaces available</b><br>			
			<span style="font-family: 'courier new', monospace;">style="display: [dynamicsync_event_info eventDateId="54f573fa7ef3481619d7" field="conditionalOutputAttendeesRemaining" attendeesremaining="5" trueoutput="inline" falseoutput="none"]"</span>
						
		</p>										
					
    </div>
	<div class="dsTabContainer regPage">
		<h3>Creating your Registration Page</h3>
		<iframe src="//fast.wistia.net/embed/iframe/oxeg5lqvgs" allowtransparency="true" frameborder="0" scrolling="no" class="wistia_embed" name="wistia_embed" allowfullscreen="allowfullscreen" mozallowfullscreen="mozallowfullscreen" webkitallowfullscreen="webkitallowfullscreen" oallowfullscreen="oallowfullscreen" msallowfullscreen="msallowfullscreen" width="640" height="360"></iframe><script src="//fast.wistia.net/assets/external/E-v1.js" async=""></script>					
		<br><strong>Getting EventDateId for the selected event</strong><br>
		<span style="font-family: 'courier new', monospace;">[dynamicsync_event_info urlEventDateId field='event_date_id']</span> - Inserts the Event Date ID of the selected event. Useful to use with the EventDateID hidden field in the Infusionsoft registration webform.<br> E.g. &lt;input name="inf_custom_EventDateId" value="[dynamicsync_event_info urlEventDateId field='event_date_id']" type="hidden"&gt;<br>
		<br><strong>Getting event information for the selected event</strong><br>
		<span style="font-family: 'courier new', monospace;">[dynamicsync_event_info urlEventDateId field="title"]</span> - Inserts the event title of the selected event. You can use any of the fields available in DynamicSync. E.g. start_time, venue_name, venue_address etc.<br>
	</div>
	<div class="dsTabContainer ddBox">
		<h3>Add a date select drop-down menu to your registration form</h3>
		<img src="<?php echo $path = plugins_url( '/../' , __FILE__ ) ?>images/DateDropDown.png">
		<br>
		<span style="font-family: 'courier new', monospace;">[dynamicsync_event_date_dropdown eventId="52a00e13d554a6219251" label="start_date,venue_name"]</span>
		<h5>Options:</h5>
		<p style="margin-top:-10px;">
			<span style="font-family: 'courier new', monospace;">eventId</span> - The DynamicSync event IDs (separated by commas) of the events you want to retrieve from DynamicSync. E.g. eventId="5281e712d66e98699d8d,53215e12d66e98699d8f". Events will be retrieved in date order and you can select the specific date by specifying eventSeqNo. If left blank all confirmed events will be retrieved.<br>
			<span style="font-family: 'courier new', monospace;">eventSeqNo</span> - Selects future event dates. By default the first scheduled event date info is retuned. Specify a value e.g. 1, 2, 3 to return future event dates.<br>
			<span style="font-family: 'courier new', monospace;">urlEventId</span> - In stead of specifying the event, you can use this option to pull the Event Id from the URL. E.g. [dynamicsync_event_info urlEventId field="title"]<br>
			<span style="font-family: 'courier new', monospace;">urlEventDateId</span> - In stead of specifying the event, you can use this option to pull the Event Id from the URL. E.g. [dynamicsync_event_info urlEventDateId field="title"]<br>							
			
			<span style="font-family: 'courier new', monospace;">eventDateIdFieldName</span> - The name of the Event Date Id hidden field in the registration form. Default: inf_custom_EventDateId<br>							
			<span style="font-family: 'courier new', monospace;">label</span> - Event fields to display on the drop-down menu<br>
			<span style="font-family: 'courier new', monospace;">dateTimeFormat</span> - Returns dates in the specified format. This uses the PHP date function to format the date. Details can be found <a href="http://php.net/manual/en/function.date.php" target="_blank">here</a>.<br>
				
			<span style="font-family: 'courier new', monospace;">max_events</span> - Maximum number of events to show on the drop-down menu<br>							
			<span style="font-family: 'courier new', monospace;">max_days</span> - Maximum days into the future for which to show confirmed events on the drop-down menu<br>							
			<span style="font-family: 'courier new', monospace;">max_months</span> - Maximum months into the future for which to show confirmed events on the drop-down menu<br>							
				
		</p>				
	</div>
	<div class="dsTabContainer thankYouPage">
		<h3>Creating a Thank You Page with Map and Add to Calendar options</h3>
		<img src="<?php echo $path = plugins_url( '/../' , __FILE__ ) ?>images/ThankYou.png" width="640">
		<h4>Display a Google Map</h4>
		<span style="font-family: 'courier new', monospace;">[dynamicsync_venue_map urlEventDateId height='250']</span> - Displays a Google Map of the venue address. Make sure your venue addess is set correctly in DynamicSync for this feature to work.
			<h5>Options:</h5>
			<p style="margin-top:-10px;">
				<span style="font-family: 'courier new', monospace;">eventId</span> - The DynamicSync event IDs (separated by commas) of the events you want to retrieve from DynamicSync. E.g. eventId="5281e712d66e98699d8d,53215e12d66e98699d8f". Events will be retrieved in date order and you can select the specific date by specifying eventSeqNo. If left blank all confirmed events will be retrieved.<br>
				<span style="font-family: 'courier new', monospace;">eventSeqNo</span> - Selects future event dates. By default the first scheduled event date info is retuned. Specify a value e.g. 1, 2, 3 to return future event dates.<br>
				<span style="font-family: 'courier new', monospace;">urlEventId</span> - In stead of specifying the event, you can use this option to pull the Event Id from the URL. E.g. [dynamicsync_event_info urlEventId field="title"]<br>
				<span style="font-family: 'courier new', monospace;">urlEventDateId</span> - In stead of specifying the event, you can use this option to pull the Event Id from the URL. E.g. [dynamicsync_event_info urlEventDateId field="title"]<br>							
				<span style="font-family: 'courier new', monospace;">height</span><br>							
				<span style="font-family: 'courier new', monospace;">width</span><br>							
			</p>										
				
		<br>
		<h4>Provide an Add to Calendar Button</h4>
		<span style="font-family: 'courier new', monospace;">[dynamicsync_add_to_calendar urlEventDateId]</span> - Displays an 'Add to Calendar' button which allows people to add your event to most popular calendar systems.
		<h5>Options:</h5>
		<p style="margin-top:-10px;">
			<span style="font-family: 'courier new', monospace;">eventId</span> - The DynamicSync event IDs (separated by commas) of the events you want to retrieve from DynamicSync. E.g. eventId="5281e712d66e98699d8d,53215e12d66e98699d8f". Events will be retrieved in date order and you can select the specific date by specifying eventSeqNo. If left blank all confirmed events will be retrieved.<br>
			<span style="font-family: 'courier new', monospace;">eventSeqNo</span> - Selects future event dates. By default the first scheduled event date info is retuned. Specify a value e.g. 1, 2, 3 to return future event dates.<br>
			<span style="font-family: 'courier new', monospace;">urlEventDateId</span> - In stead of specifying the event, you can use this option to pull the Event Id from the URL. E.g. [dynamicsync_event_info urlEventDateId field="title"]<br>							
		</p>
	</div>
</div>
